import sounds
from data import get_path

class Wind (object):
	max_speed = 100.

	def __init__(self):
		self.channel = None
		
	def play(self):
		self.channel = sounds.play_sample('wind', -1, 0)
		self.channel.set_volume(0.0)
	
	def stop(self):
		if self.channel:
			self.channel.stop()
			self.channel = None
	
	def set_speed(self, speed):
		if not self.channel:
			return

		vol = min(speed / self.max_speed, 1.0)
		self.channel.set_volume(vol)

